PostgreSQL 7.2.1 Documentation
Prev |  | Next

# SPI_copytuple

## Name

SPI_copytuple -- Makes copy of tuple in upper Executor context

## Synopsis

    SPI_copytuple(tuple)

### Inputs

HeapTuple `tuple`

  Input tuple to be copied

### Outputs

HeapTuple

  Copied tuple

  non-NULL if `tuple` is not NULL and the copy was successful
  NULL only if `tuple` is NULL

## Description

`SPI_copytuple` makes a copy of tuple in upper Executor context.

## Usage

TBD

Prev | Home | Next
Memory Management | Up | SPI_copytupledesc